package com.muyu.data.processing.kafka;


import io.swagger.v3.oas.annotations.servers.Server;
import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.annotation.KafkaListener;

/**
 * @Author: 胡杨
 * @Name: KafkaConsumerService
 * @Description: kafka消费者
 * @CreatedDate: 2024/9/27 上午9:27
 * @FilePath: com.muyu.data.processing.kafka
 */

@Slf4j
@Server
public class KafkaConsumerService {

    @KafkaListener(topics = "iov-car-topic", groupId = "iov-car-group")
    private void listen(String msg) {
        log.info("kafka 消费消息：{}", msg);
    }
}
