package com.muyu.data.processing.kafka;


import io.swagger.v3.oas.annotations.servers.Server;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.kafka.support.SendResult;

import java.util.concurrent.CompletableFuture;

/**
 * @Author: 胡杨
 * @Name: KafkaProducerTestService
 * @Description: kafka测试生产者
 * @CreatedDate: 2024/9/27 上午9:27
 * @FilePath: com.muyu.data.processing.kafka
 */
@Slf4j
@Server
public class KafkaProducerTestService {

    @Resource
    private KafkaTemplate<String,String> kafkaTemplate;

    public void sendMessage(String msg) {
        CompletableFuture<SendResult<String, String>> send = kafkaTemplate.send("iov-car-topic", msg);
        log.info("kafka 发送消息:{}",msg);
    }
}
